<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFrameworks>net7.0;net7.0-android</TargetFrameworks>
		<TargetFrameworks Condition="$([MSBuild]::IsOSPlatform('windows'))">$(TargetFrameworks);net7.0-windows10.0.19041.0</TargetFrameworks>
		<!-- Uncomment to also build the tizen app. You will need to install tizen by following this: https://github.com/Samsung/Tizen.NET -->
		<!-- <TargetFrameworks>$(TargetFrameworks);net7.0-tizen</TargetFrameworks> -->
		<OutputType>Exe</OutputType>
		<RootNamespace>ShoopNCook</RootNamespace>
		<UseMaui>true</UseMaui>
		<SingleProject>true</SingleProject>
		<ImplicitUsings>enable</ImplicitUsings>

		<!-- Display name -->
		<ApplicationTitle>ShoopNCook</ApplicationTitle>

		<!-- App Identifier -->
		<ApplicationId>com.companyname.shoopncook</ApplicationId>
		<ApplicationIdGuid>bf17e1fe-a722-42f6-a24d-3327d351c924</ApplicationIdGuid>

		<!-- Versions -->
		<ApplicationDisplayVersion>1.0</ApplicationDisplayVersion>
		<ApplicationVersion>1</ApplicationVersion>

		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'ios'">11.0</SupportedOSPlatformVersion>
		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'maccatalyst'">13.1</SupportedOSPlatformVersion>
		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'android'">21.0</SupportedOSPlatformVersion>
		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'windows'">10.0.17763.0</SupportedOSPlatformVersion>
		<TargetPlatformMinVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'windows'">10.0.17763.0</TargetPlatformMinVersion>
		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'tizen'">6.5</SupportedOSPlatformVersion>
	</PropertyGroup>

	<ItemGroup>
		<!-- App Icon -->

		<!-- Splash Screen -->

		<!-- Images -->
		<MauiImage Include="Resources\Images\*" />

		<!-- Custom Fonts -->
		<MauiFont Include="Resources\Fonts\*" />

		<!-- Raw Assets (also remove the "Resources\Raw" prefix) -->
		<MauiAsset Include="Resources\Raw\**" LogicalName="%(RecursiveDir)%(Filename)%(Extension)" />
	</ItemGroup>

	<ItemGroup>
	  <AndroidResource Remove="ShopNCookTests\**" />
	  <AndroidResource Remove="Tests\**" />
	  <Compile Remove="ShopNCookTests\**" />
	  <Compile Remove="Tests\**" />
	  <EmbeddedResource Remove="ShopNCookTests\**" />
	  <EmbeddedResource Remove="Tests\**" />
	  <MauiCss Remove="ShopNCookTests\**" />
	  <MauiCss Remove="Tests\**" />
	  <MauiXaml Remove="ShopNCookTests\**" />
	  <MauiXaml Remove="Tests\**" />
	  <None Remove="ShopNCookTests\**" />
	  <None Remove="Tests\**" />
	</ItemGroup>

	<ItemGroup>
	  <None Remove="Resources\Fonts\Poppins-Bold.ttf" />
	  <None Remove="Resources\Fonts\Poppins-Medium.ttf" />
	  <None Remove="Resources\Fonts\Poppins-Regular.ttf" />
	  <None Remove="Resources\Images\cookie.svg" />
	  <None Remove="Resources\Images\email_icon.svg" />
	  <None Remove="Resources\Images\facebook_logo.svg" />
	  <None Remove="Resources\Images\hearth_off.svg" />
	  <None Remove="Resources\Images\hearth_on.svg" />
	  <None Remove="Resources\Images\Home.svg" />
	  <None Remove="Resources\Images\list.svg" />
	  <None Remove="Resources\Images\logout_arrow.svg" />
	  <None Remove="Resources\Images\minus.svg" />
	  <None Remove="Resources\Images\moon_white.svg" />
	  <None Remove="Resources\Images\email_icon.svg" />
	  <None Remove="Resources\Images\facebook_logo.svg" />
	  <None Remove="Resources\Images\more.svg" />
	  <None Remove="Resources\Images\password_icon.svg" />
	  <None Remove="Resources\Images\search_options.svg" />
	  <None Remove="Resources\Images\share.svg" />
	  <None Remove="Resources\Images\star_empty.svg" />
	  <None Remove="Resources\Images\star_full.svg" />
	  <None Remove="Resources\Images\user.svg" />
	  <None Remove="Resources\Images\user_fill.svg" />
	  <None Remove="Resources\Images\visibility_off.svg" />
	  <None Remove="Resources\Images\visibility_on.svg" />
	</ItemGroup>

	<ItemGroup>
	  <None Remove="Resources\Fonts\arrow_back_ios_FILL0_wght400_GRAD200_opsz48.svg" />
	  <None Remove="Resources\Images\default_profile_picture.png" />
	</ItemGroup>

	<ItemGroup>
	  <MauiFont Include="Resources\Images\arrow_back.svg" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.Extensions.Logging.Debug" Version="7.0.0" />
		<PackageReference Include="xunit" Version="2.4.2" />
	</ItemGroup>

	<ItemGroup>
	  <Compile Update="Views\MyListPage.xaml.cs">
	    <DependentUpon>MyListPage.xaml</DependentUpon>
	  </Compile>
	  <Compile Update="Views\Components\IngredientEntry.xaml.cs">
	    <DependentUpon>IngredientEntry.xaml</DependentUpon>
	  </Compile>
	</ItemGroup>

	<ItemGroup>
	  <MauiXaml Update="Views\CreateRecipePage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\Splash.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\Components\CounterView.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\Components\HeadedButton.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\Components\IngredientEntry.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\Components\IngredientView.xaml">
		  <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\FavoritesPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\MorePage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\ProfilePage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\RecipePage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\Components\RecipeView.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\RegisterPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\SearchPage.xaml">
		  <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\Components\RecipeView.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\SearchPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\Components\StepEntry.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\Components\StoredRecipeView.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	</ItemGroup>

	<ProjectExtensions>
		<VisualStudio>
			<UserProperties XamarinHotReloadDebuggerTimeoutExceptionShoopNCookHideInfoBar="True" XamarinHotReloadUnhandledDeviceExceptionShoopNCookHideInfoBar="True" />
		</VisualStudio>
	</ProjectExtensions>

</Project>
